org.keycloak.representations.idm

## Class ApplicationMappingsRepresentation

- java.lang.Object
- - org.keycloak.representations.idm.ApplicationMappingsRepresentation

-     public class ApplicationMappingsRepresentation
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `application`
    `protected String` | `applicationId`
    `protected List<RoleRepresentation>` | `mappings`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplicationMappingsRepresentation()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getApplication()`
    `String` | `getApplicationId()`
    `List<RoleRepresentation>` | `getMappings()`
    `void` | `setApplication(String application)`
    `void` | `setApplicationId(String applicationId)`
    `void` | `setMappings(List<RoleRepresentation> mappings)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### applicationId

          protected String applicationId

    - #### application

          protected String application

    - #### mappings

          protected List<RoleRepresentation> mappings

  - ### Constructor Detail

    - #### ApplicationMappingsRepresentation

          public ApplicationMappingsRepresentation()

  - ### Method Detail

    - #### getApplicationId

          public String getApplicationId()

    - #### setApplicationId

          public void setApplicationId(String applicationId)

    - #### getApplication

          public String getApplication()

    - #### setApplication

          public void setApplication(String application)

    - #### getMappings

          public List<RoleRepresentation> getMappings()

    - #### setMappings

          public void setMappings(List<RoleRepresentation> mappings)

Copyright © 2015. All Rights Reserved.